error when activating the plugin

Activating the plugin gives me this error:
Parse error: syntax error, unexpected ‘class’ (T_CLASS), expecting identifier (T_STRING) or variable (T_VARIABLE) or ‘{‘ or ‘$’ in /home2/tuereslomas/public_html/wp-content/plugins/affiliates-pro/lib/core/dashboard/class-affiliates-dashboard.php on line 52

how can I solve that?

2 Responses to error when activating the plugin

  1. George March 15, 2019 at 8:04 am #

    Hi Luis,

    What is the PHP version currently in use by your hosting server? Minimum requirement for Affiliates plugins is version 5.6 but I would recommend you to use version 7.x. If that info is not available on your hosting control panel, please also contact your hosting provider and ask for an update if necessary.

    Kind regards,
    George

  2. George March 12, 2019 at 9:24 pm #

    Hi Luis,

    Thanks for mentioning.

    Would it be possible for you to send me a copy of your debug.log file where the issue appears? You may send it to george@itthinx.com and I will have a look as soon as possible.

    Kind regards,
    George

Only authorized members can comment on this topic.

Log in

Share